repmgr primary unregister

# repmgr primary unregister

unregister an inactive primary node

## Description

`repmgr primary unregister` unregisters an inactive primary node from the &repmgr; metadata. This is typically when the primary has failed and is being removed from the cluster after a new primary has been promoted.

## Execution

`repmgr primary unregister` can be run on any active &repmgr; node, with the ID of the node to unregister passed as `--node-id`.

Execute with the `--dry-run` option to check what would happen without actually unregistering the node.

`repmgr master unregister` can be used as an alias for `repmgr primary unregister`.

## Options

`--dry-run`

  Check prerequisites but don't actually unregister the primary.

`--node-id`

  ID of the inactive primary to be unregistered.

## Event notifications

A `primary_unregister` event notification will be generated.